View Issue Details

IDProjectCategoryView StatusLast Update
0025109mantisbthtmlpublic2019-03-16 20:20
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.19.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025109: Filter widget does not hide botton bar when collapsed
Description

As pictured.
When the widget is collapsed, it makes no sense to still show the bottom section

TagsNo tags attached.

Relationships

has duplicate 0024574 closedcproensa Collapsed Filters show duplicate search and selection fields 

Activities

cproensa

cproensa

2018-12-22 17:58

developer  

collapsed_filter.png (8,473 bytes)   
collapsed_filter.png (8,473 bytes)   

Related Changesets

MantisBT: master 92f172d5

2018-12-22 21:58:43

cproensa


Committer: dregad Details Diff
Rearrange filter dialog widget

There were some issues withthe filter dialog:
- The form tags are not placed correctly in the layout, crossing inner
div boundaries.
- The section at the bottom is not hidden when the widget is collapsed.
- Only one form is used, but there are several actions that don't need
to share all form fields.

In order to improve some of the dialog options, the layour has been
rearranged:

- Move the buttons toolbar to the top of the widget, following the
general style of other widgets.
- Move the "text search" field inside the filter parameters area. This
is part of the filter properties and should be managed and rendered by
the dedicated code.
- Assign each area its own form. Time ago, the filter submit would parse
all the fields as a whole, but now there's the option to evaluate only
the submitted fields, incrementally over the affected filter. This
allows to separate the header search field, filter load dorwpdowns, etc,
into individual forms.

Fixes: 0025109
Affected Issues
0025109
mod - core/filter_api.php Diff File
mod - core/filter_form_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - js/bugFilter.js Diff File
mod - js/common.js Diff File
mod - lang/strings_english.txt Diff File
mod - manage_filter_edit_page.php Diff File
mod - view_filters_page.php Diff File

MantisBT: master ccae4dce

2019-01-09 15:11:49

dregad

Details Diff
Improve presentation of temporary filters

Merge PR https://github.com/mantisbt/mantisbt/pull/1390

Fixes 0024775, 0024776, 0025109
Affected Issues
0024775, 0024776, 0025109
mod - browser_search_plugin.php Diff File
mod - changelog_page.php Diff File
mod - config_defaults_inc.php Diff File
mod - core/constant_inc.php Diff File
mod - core/filter_api.php Diff File
mod - core/filter_form_api.php Diff File
mod - core/gpc_api.php Diff File
mod - core/print_api.php Diff File
mod - core/summary_api.php Diff File
mod - css/ace-mantis.css Diff File
mod - css/default.css Diff File
mod - js/bugFilter.js Diff File
mod - js/common.js Diff File
mod - lang/strings_english.txt Diff File
mod - main_page.php Diff File
mod - manage_filter_edit_page.php Diff File
mod - roadmap_page.php Diff File
mod - set_project.php Diff File
mod - view_all_inc.php Diff File
mod - view_all_set.php Diff File
mod - view_filters_page.php Diff File

Issue History

Date Modified Username Field Change
2018-12-22 17:58 cproensa New Issue
2018-12-22 17:58 cproensa File Added: collapsed_filter.png
2018-12-22 17:58 cproensa Assigned To => cproensa
2018-12-22 17:58 cproensa Status new => assigned
2019-01-09 10:14 dregad Changeset attached => MantisBT master ccae4dce
2019-01-09 10:14 dregad Changeset attached => MantisBT master 92f172d5
2019-01-09 10:14 cproensa Status assigned => resolved
2019-01-09 10:14 cproensa Resolution open => fixed
2019-01-09 10:14 cproensa Fixed in Version => 2.20.0
2019-01-09 10:31 atrol Target Version => 2.20.0
2019-01-23 19:17 cproensa Relationship added has duplicate 0024574
2019-03-16 20:20 vboctor Status resolved => closed